Version 3.1.2.8 (2011-03-21)
	Fixed bug with IE 9 not closing the dialog without an error.
Version 3.1.2.3 (2010-08-26)
	Fixed bug where FF 4 would not handle templates correctly due to a change in the JS runtime.
	Fixed bug where editing anchor only urls would produce an JS exception.
Version 3.1.2.2 (2010-03-08)
	Fixed bug where Silverlight uploader failed to upload chunked contents.
Version 3.1.2.1 (2010-03-05)
	Fixed bug where tools where not disabled in the Uploaded plugin.
	Fixed bug where you could not remove an item from Uploaded plugin.
	Fixed bug where uploads would fail if there was chunking in Flash/Silverlight.
	Fixed bug where Plupload was leaking memory in Flash and Silverlight.
Version 3.1.2 (2010-03-03)
	Added a plugin called "Uploaded" where its possible to view your own latest uploaded files.
	Added plupload as the upload runtime. Plupload has more runtimes such as BrowserPlus and Google Gears.
	Fixed bug where focus wasn't properly handled on IE 8.
Version 3.1.1.5 (2010-01-10)
	Fixed bug where it wasn't possible to disable context menu tools.
	Fixed bug where Flash wasn't transparent in WebKit again.
Version 3.1.1.4 (2009-11-26)
	Fixed issues with PHP 5.3.0 it will now set default time zone and check for set_magic_quotes_runtime support.
	Fixed strict runtime issues it's now compatible with strict mode.
Version 3.1.1.3 (2009-11-16)
	Fixed bug where upload wouldn't work correctly on IE using Flash runtime.
Version 3.1.1.2 (2009-10-20)
	Fixed the JoomlaAuthenticator so that it works correctly with Joomla 1.5.14.
	Fixed security issue if register globals was enabled, this is mostly disabled on hosts these days anyway.
Version 3.1.1.1 (2009-09-14)
	Fixed Drupal authentication issue. Where sessions couldn't be accessed below the drupal root.
Version 3.1.1 (2009-09-09)
	Fixed so the magic_quotes_runtime is automatically disabled.
	Fixed bug where selection inside the rename input wouldn't work on IE.
Version 3.1.0.7.1 (2009-03-30)
	Fixed bug where the multiple upload function wouldn't work properly on IE and using Flash.
Version 3.1.0.7 (2009-03-25)
	Fixed bug where the double click insert action was still enabled even if insert was disabled.
Version 3.1.0.6 (2009-03-23)
	Fixed bug where selection would move to beginning of TinyMCE area if a link was directly inserted.
Version 3.1.0.5 (2009-01-22)
	Added new custom_query option. To enable you to add custom query parameters to initial page request.
	Added new docx word icon and mime type item to mime.types.
	Fixed so that the upload form closes automatically if all files was uploaded correctly.
	Fixed bug where a request to menu_icons.gif where produced and it produced a 404 web server error.
	Fixed bug where the item config in the session collection would be overwritten if register_globals where enabled in php.ini.
	Fixed bug where inserting links would fail the second time if the inlinepopups wasn't used in TinyMCE.
	Fixed bug where the Flash uploader was sending an incorrect application/x-www-form-urlencoded content type.
	Fixed bug where the ExternalAuthenticator would add double port numbers.
	Fixed bug where a multiple path value for the session override of the filesystem.rootpath item would fail.
	Fixed bug where opening a standalone instance while having TinyMCE on the same page would produce incorrect callback results.
	Fixed bug where the remove_script_host option wouldn't work correctly.
Version 3.1.0.4 (2008-11-27)
	Fixed bug where the Flash uploader was compiled with debugging on.
	Fixed bug where downloading of files with spaces didn't work correctly.
	Fixed bug where it wouldn't load correctly correctly in old TinyMCE 2.x versions.
Version 3.1.0.3 (2008-11-20)
	Fixed bug where inline dialogs wasn't opened correctly when loading the product cross domain.
	Fixed bug where it was returning incorrect content-encoding headers.
	Fixed bug where the multiple upload feature didn't work correctly when * was used for the valid extensions settings.
	Fixed bug where language packs wasn't loading correctly when TinyMCE was compressed using the gzip compressor.
	Fixed bug where switching from FileManager to ImageManager would fail some times when used with TinyMCE.
Version 3.1.0.2 (2008-11-13)
	Added new possibility to have a custom function for the filemanager_insert_template option.
	Fixed bug where errors passed back from the server would be ignored by the Google gears implementation.
	Fixed bug where the file upload progress bar wasn't moving if upload errors occured.
	Fixed bug where domain relaxing didn't work when TinyMCE and the FileManager was loaded from another domain.
Version 3.1.0.1 (2008-11-10)
	Fixed bug where it wasn't possible to override the preview.wwwroot and preview.urlprefix settings with mc_access files.
	Fixed bug with notice messages for missing items when using display_errors on.
	Fixed bug where it wasn't possible to load TinyMCE and the filemanager plugin from another sub domain.
	Fixed bug where the upload.chunk_size option didn't work correctly.
	Fixed bug where it was impossible to enable remember_last_path by default.
	Fixed bug where the onchange event wasn't fired as it was before when form items was changed by a browse call.
	Fixed bug where the category list and special folders list where separated by an odd margin in IE.
	Fixed so it's possible to see the current upload runtime when enablig the general.debug option.
Version 3.1 (2008-11-06)
	Fixed bug with using the filemanager on a non default http port.
	Fixed so all new integration callback functions have a file object.
	Fixed bug where the toolbar would get a trailing focus rectangle on Gecko.
	Fixed bug where sorting was incorrect on non Windows operating systems.
	Fixed bug where single upload didn't work correctly.
	Fixed bug where the ClientResources class would produce an error due to an invalid regexp.
Version 3.1b2 (2008-10-30)
	Added new file path presentation for edit file dialog.
	Fixed bug where createdir wasn't reloading the file list ones a directory was created.
	Fixed bug where it wasn't possible to override general.language using an external authenticator.
	Fixed bug where keepAlive handler was missing. It will not hit the backend each 5 minutes.
	Fixed bug where Gecko browsers would produce an traling focus border for toolbar items.
	Fixed bug where directory path would be on two lines if it was very long.
	Fixed bug where loading the xml resource files would break on some PHP installations.
	Fixed bug where add file action wasn't executed when multiple files where uploaded.
	Fixed bug where it wasn't possible to override path and rootpath settings from TinyMCE init.
	Fixed bug where rootpath names didn't work when specified in javascript options.
	Fixed bug where links would be inserted to beginning of editor instances on IE.
	Fixed bug where singe file uploads wasn't working correctly.
	Fixed bug where native windows wasn't move to top.
	Fixed bug where upload with upper case extensions would fail.
	Replaced upload.replace_diacritics with filesystem.clean_names. To make it more general and also take care of whitespace.
	Optimized file listing logic by 600%. The sorting was improved by sorting by the file names first and then creating file instances.
Version 3.1b1 (2008-10-23)
	Added new multiple file upload uses Flash, Google Gears and Silverlight. Chunks large files by default.
	Added new edit file support. Files can now be edited in plain text.
	Added new edit tool item so the edit function can be enabled/disabled.
	Added new API for client side plugin logic. You can now add menu items, dialogs and buttons from plugins.
	Added new resources.xml file for all themes and plugins. These are used to compress and concat js and css files.
	Added new support for file and directory filtering from page level.
	Added new upload.replace_diacritics option. Replaces national characters like åäöü to aaou.
	Added new upload.multiple_upload option. Enables you to disable/enable this support.
	Added new upload.chunk_size option. Enables you to change the chunk size for each request.
	Added new support for cross sub domain usage by relaxing the document.domain field.
	Added new edit.include_file_pattern option. Enables you to include only specific files for editing.
	Added new edit.exclude_file_pattern option. Enables you to exclude specific files for editing.
	Added new edit.extensions option. Enables you to only include specific files for editing.
	Added new zip.include_file_pattern option. Enables you to include only specific files for zip compression.
	Added new zip.exclude_file_pattern option. Enables you to exclude specific files from zip compression.
	Added new zip.extensions option. Enables you to only include specific files for compression.
	Added new unzip.include_file_pattern option. Enables you to include only specific files for zip uncompression.
	Added new unzip.exclude_file_pattern option. Enables you to exclude specific files from zip uncompression.
	Added new unzip.extensions option. Enables you to only include specific files for uncompression.
	Added new target_frame option. Enables you to open any part of the FileManager in a custom iframe or frame.
	Added new browse method to the mcFileManager.js file that replaces the old open method.
	Added new createDir method to the mcFileManager.js file. Enables you to open the create directory dialog directly from page.
	Added new createDoc method to the mcFileManager.js file. Enables you to open the create document dialog directly from page.
	Added new createZip method to the mcFileManager.js file. Enables you to open the create zip dialog directly from page.
	Added new upload method to the mcFileManager.js file. Enables you to open the upload dialog directly from page.
	Added new edit method to the mcFileManager.js file. Enables you to open the edit file dialog directly from page.
	Added new functionality to retrive all the selected files to the page level callback function.
	Fixed bug where selection of files could be incorrect if shift key was used.
	Fixed so the mcfilemanager.js file is merged into the editor_plugin.js file to increase gzip compression.
	Fixed so preview of documents in the createdoc dialog are in inline windows.
	Fixed so all dialogs adds a shim for the background items.
	Fixed so the user can't change file extension on files they rename.
	Fixed so the remember_last_path option is disabled by default.
	Fixed bug where the buttons in dialogs would look incorrect in FF 3.
	Fixed bug where paste menu item wasn't disabled if there was no contents in clipboard.
	Fixed bug where it wouldn't display the input path in error message if it couldn't find a specific filesystem.
	Optimized the LocalFileImpl class for speed particularly on Windows.
Version 3.0.9.2 (2008-09-11)
	Fixed bug the default insert template didn't respect the TinyMCE url settings.
	Fixed bug where the an exception would be produced if you used the standalone mode on a page where TinyMCE was included but not loaded.
	Fixed bug with authenticators producing and error if they was overriding the filesystem.rootpath to a path not within the configured rootpath.
Version 3.0.9.1 (2008-07-09)
	Fixed bug where Firefox 3 would produce an exception about empty id passed to getElementById.
	Fixed bug where Firefox 3 would produce an exception about window.console being undefined.
	Fixed bug where the insertfile command didn't work correctly if you didn't specify an template.
Version 3.0.9 (2008-07-02)
	Added new support for adding multiple templates for the insertfile button.
	Fixed bug where loading the FileManager on demand didn't load the language packs correctly.
	Fixed so it's not possible to open a hidden directory. It will automatically go to the parent of that dir.
	Fixed issue where it wouldn't setup an correct baseURL if the script was loaded dynamically.
Version 3.0.8 (2008-04-29)
	Added possibility to load plugins from out side the FileManager path.
	Fixed bug where the filemanager was producing an dialog on IE if it was loaded over https.
	Fixed so plugin names are lowercase internally to avoid confusion.
	Fixed auto detection logic for the API base URL. It will now do this client side to avoid PHP bugs.
	Fixed bug where using the standalone integration on a page with TinyMCE without any editor instances would produce an error.
	Fixed so that the custom_data setting gets passed in as a parameter to the initial request for the index.php.
	Fixed so the SessionAuthenticator is enabled by default since people tend to miss adding any authentication.
Version 3.0.7 (2008-03-20)
	Fixed so the plugin info is displayed correctly in TinyMCE 3.0 about dialog.
	Fixed bug where cookies could be interpreted as input parameters.
Version 3.0.6.1 (2008-02-21)
	Fixed compatibility issue with the TinyMCE gzip compressor.
	Fixed bug where the FileManager didn't work if the inlinepopups wasn't used in TinyMCE 3.
Version 3.0.6 (2008-02-21)
	Added support for loading the TinyMCE plugin from an external location.
	Added support for inlinepopups if used with TinyMCE 3.x.
	Added detection for proxies that doesn't support non encoded HTTP posts.
	Added support for ${user} replacement variable for the JoomlaAuthenticator class.
	Added new insert_filter option enabled you to filter data passed back from FM before it's inserted.
	Fixed bug where some zip files didn't work correctly.
	Fixed bug where it was impossible to unselect files.
	Fixed bug where loading non english language packs for the TinyMCE insertfile icon didn't work.
	Fixed bug where an empty value for the general.plugins option would produce errors.
	Fixed so the getSiteRoot will use the script_name instead of document_root.
Version 3.0.5 (2007-11-22)
	Added new filemanager_handle option to the TinyMCE editor plugin.
	Fixed compatibility with the TinyMCE 3.0b1 API.
	Fixed security issue thanks to a report from Michel Weimerskirch.
	Removed all deprecated =& new statements from the PHP code to reduce notices.
Version 3.0.4 (2007-11-02)
	Added new ExternalAuthenticator.session_prefix option to ExternalAuthenticator to separate sessions.
	Added new ExternalAuthenticator.use_cookie option. This will create a cookie based on the session_prefix.
	Added new compatibility with TinyMCE 3.x.
	Fixed so that the external authentication page is runned each time the FileManager opens.
	Fixed issue where it was impossible to select a file if a user switched from IM to FM but only included one of them in the page.
Version 3.0.3 (2007-08-21)
	Added new external authenticator enables you to authenticate between backend and cross domains.
	Added new asp and jsp example authentication pages for the external authenticator.
	Added new non flash upload que since the flash uploader was to buggy.
	Fixed bug compatibility issues with older TinyMCE gzip compressors like the one in Wordpress.
	Fixed bug where custom insert callback functions also execured default logic.
	Fixed bug where create zip failed when using check all link.
	Fixed some issues with symlinks, they where not resolved when used in JS init calls.
	Fixed issue with the need to have index.php as the default document.
	Fixed bug where the mcFileManager.init call didn't work as expected.
	Fixed so the upload.use_flash is now set to false by default, was not working correctly.
Version 3.0.2 (2007-06-20)
	Added new logging options, enables you to specify level, format, rotation, max size.
	Added cancel buttons to all dialogs for usability reasons.
	Added new config_prefix option to the SessionAuthenticator class, enables you to override any config option with a session.
	Added new valid/invalid/extensions options for previewing of files. For example PDF:s can now be excluded from a preview.
	Fixed so that all dialogs are closed when a operation is completed successfully.
	Fixed so the template selection box gets removed if no templates are specified.
	Fixed so the dialogs will open more nicely, less visual maniplulation.
	Fixed so URL convertion logic is executed before custom callbacks.
	Fixed so the element names can be element id's in a mcFileManager.open call.
	Fixed bug where the filemanager wasn't loading correctly if it was compressed using the TinyMCE Gzip compressor.
	Fixed some issues with the JoomlaAuthenticator, it now works in a multisite environment.
	Changed the parent directory icons to be an arrow for usability reasons.
	Fixed bug where the animation of the fading menus didn't finish correctly some times.
Version 3.0.1 (2007-05-21)
	Added new upload.use_flash option, enables you to disable the flash uploader.
	Added new use_url_path JS integration option.
	Added new use path from url functionalty.
	Fixed problem with error reporting in PHP 5.x+.
	Fixed bug where the gzip compression failed if the accept encoding headers where missing.
	Fixed bug with preview.wwwroot not working correctly.
	Fixed bug with message "path not allowed", some installations use symlinks for their wwwroot.
	Fixed bug where it was sometimes resolved the URL to the js dir wrong in some PHP installations.
	Fixed bug where preview didn't work on files with spaces in the file name.
	Fixed so that the preview isn't enabled when the user clicks on a checkbox in file list.
	Fixed issue where the remember_last_path feature remembered favorites and history as well.
	Fixed issues with very old PHP installations that doesn't have file_get_contents.
	Fixed issue with IE producing warning message if it was loaded over HTTPS.
Version 3.0 (2007-05-15)
	Moved the general.login_page option to authenticator.login_page.
	Added new _Template plugin, this is a example plugin.
	Fixed bug in Safari where it was impossible to scroll the file list.
	Fixed bug where zip files couldn't be inserted or downloaded.
	Fixed so that downloading is forced by replacing the content type.
	Fixed so that you can change the default file system impelementation.
	Added better support for national characters like åäö in filenames.
Version 3.0b3 (2007-05-10)
	Added new CustomInfoExample plugin. Displays how to inject custom file information.
	Added new include/exclude/extensions config options for stream section.
	Added better error handling when loading XML language packs.
	Added missing language items for add file(s) in flash upload dialog.
	Added fallback JSON RPC method when Apache is configured with mod_security.
	Added more rapid demo mode response. It only ask the server once.
	Fixed so upload button is disabled until the user selects a file.
	Fixed bug where non english language packs where loaded twice.
	Fixed bug where utf-8 encodings of language packs didn't work correctly.
	Fixed bug where relative path didn't work for the filesystem.rootpath config option.
	Fixed so the translation of the page is faster, so it doesn't flicker.
	Renamed all "directory" to "folder" in the English language pack. 
Version 3.0b1 (2007-04-13)
	First beta release of the complete rewrite of the FileManager PHP.
Version 1.9 (2006-02-22)
	Added new download options, enables you to control what files users may download.
	Added new custom_data jsoption field, this enables you to pass custom data from page to a authenticator.
	Added new iframe support, openInIframe javascript function.
	Added new multiple root paths support, this gives the ability to have virtual named root paths.
	Added new better error handling, this will present a nice error dialog when a fatal error occurs.
	Added new general.debug option, this is useful if you are developing custom extensions.
	Added new general.error_log option, this enables you to log any errors that happen to a file.
	Added new JoomlaAuthenticatorImpl, example config and documentation.
	Fixed so buttons are better styled with CSS instad of a scripted hover action.
	Fixed an issue with the logger, a warning was displayed when no logfile was found, removed.
	Fixed bug where force_directory_template and directory_templates options wasn't sometimes working correctly together.
	Fixed bug where valid extensions wasn't presented correctly in the upload form.
	Fixed bug where mc_access files wasn't working correctly under Windows.
	Fixed bug where filesystem.readable/filesystem.writable wasn't working as exprected.
	Fixed issues where directory info dialog wasn't updated correctly when some actions where performed.
Version 1.8 (2005-11-10)
	Fixed so the mcfilemanager is a plugin for TinyMCE, makes the installation process easier.
	Fixed issue with parsing of the XML language packs in latest PHP versions.
	Fixed so the preview frame gets updated if a user creates a directory/document or uploads a file.
	Added new DrupalAuthenicatorImpl for integration with Drupal CMS.
	Added new PHPNukeAuthenicatorImpl for integration with PHPNuke.
	Added new alert message when filemanager popups is getting blocked by popup blockers.
	Added new not_loggedin.php file, this can be used to present a error message when the user session was lost.
	Added German language pack contributed by Markus Vetten.
	Added French language pack contributed by Olivier Gaillot.
VVersion 1.7 (2005-10-26)
	Fixed an issue with the language pack array merge in general.php.
	Fixed issue with short_open_tag = "Off", replaced all <? with <?php for PHP configuration compatiblity.
	Fixed issue where local mc_access config options where incorrectly inherited to subdirectories.
	Fixed issue with non explanatory error messages when path or rootpath was missconfigured.
	Fixed issue where language packs didn't load under some PHP installations.
	Fixed is_null check for PHP version 4.4.0.
	Fixed some issues with getWWWRoot and realpath on PHP 5.0.5.
Version 1.6 (2005-10-05)
	Fixed critical bug where authenicators wasn't executing at all.
	Fixed so all theme specific paths are updated if a new theme is created.
	Added missing default value for general.language, this is now set to "en".
Version 1.5 (2005-09-30)
	Fixed an issue with getWWWRoot function on older PHP versions on Windows.
	Fixed bug where document_base_url wasn't working properly.
	Fixed bug where relative urls on directories with escaped chars wasn't working correctly.
	Fixed bug where notice errors where reported if open_base_dir was configurated on older PHP versions.
	Added new path, rootpath and remember_last_path JavaScript options.
	Added new examples on how the filemanager can be used in standalone mode.
	Added new language pack support, current translations English and Swedish.
Version 1.4 (2005-09-12)
	Added new authenticator.session.user.key option to SessionAuthenicatorImpl.
	Added new replacement of ${user} to user/login when using the SessionAuthenicatorImpl.
	Added new documentation of the general.demo and general.demo_msg options.
	Added multiple upload of files.	
	Added zip / unzip functionality (uses pclzip lib from http://www.phpconcept.net).
	Fixed bug where it was impossible to delete directories only containing an access file.
	Fixed bug where empty access files produced page errors.
	Fixed some issues with PHP 5.0.5.
	Updated dialogs with new look & feel.
Version 1.3 (2005-08-09)
	Added new default.htm file for windows IIS installations.
	Fixed an issue with PHP 4.4.0, notices and errors from uncompatible php update.
	Changed the file mask and directory mask default setting to nothing (no chmod).
Version 1.2 (2005-06-17)
	Added error reporting to Savant, if a error is generated by savant this message is now presented to the user.
	Added new filesystem.local.file_mask and filesystem.local.directory_mask options.
	Added new LoggingFileEventListener class in the plugins directory. This simply logs all file operations.
	Fixed bug issue where a blank page was presented if the PHP open_basedir option was used.
	Fixed bug where upload failed if open_basedir was specified in php.ini.
	Fixed so the default value of all allow_override config values is set to *.
	Fixed bug where the base URL for the filemanager some times pointed to the wrong directory.
Version 1.1 (2005-05-24)
	Fixed notice error LocalFileImpl class (listTree), $state was not defined.
	Fixed so the "Call-time pass-by-reference has been deprecated" warning message does not happen in PHP5.
	Fixed so Windows UNC paths can be used in config.
	Fixed so onsubmit event is triggered when form field value is changed.
	Fixed so extension config parameters is case insensitive.
	Added new behavior to preview.wwwroot, if this option is left blank MCFileManager will try to figure out the wwwroot.
	Added new init javascript call and some options for this call. Check the manuals for details.
	Updated index.html with a new advanced example that uses JavaScript settings.
	Removed auto include of FileEventListeners, implementations of the FileEventListener class must now be included in config.php.
